using Microsoft.EntityFrameworkCore;
using PARR.DAL.Context;
using PARR.DAL.Models.Base;
using System.ComponentModel.DataAnnotations.Schema;

namespace PARR.DAL.Models.Unit
{
    [Table("FieldInFieldValues", Schema = DataContextSettings.Unit)]
    [Comment("Значения полей ЭК")]
    [PrimaryKey(nameof(FieldId), nameof(FieldValueId))]
    public class UnitFieldInUnitFieldValue : IBaseDateCreated
    {
        public Guid FieldId { get; set; }

        public Guid FieldValueId { get; set; }

        public DateTimeOffset DateCreated { get; set; }



        [ForeignKey(nameof(FieldId))]
        public UnitField? Field { get; set; }


        [ForeignKey(nameof(FieldValueId))]
        public UnitFieldValue? FieldValue { get; set; }
    }
}
